> For the complete documentation index, see [llms.txt](https://docs.wisej.com/extensions/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.viewtype.md).

# ViewType

Namespace: **Wisej.Web.Ext.FullCalendar**

Assembly: **Wisej.Web.Ext.FullCalendar** (3.2.0.0)

Enumerates the different "views", or ways of displaying days and events.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ViewType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ViewType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name              | Description                                                                                                                                                                                                                       |
| ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **AgendaDay**     | Shows the events in a single day view with time slots.                                                                                                                                                                            |
| **AgendaWeek**    | Shows the events in a weekly view with time slots.                                                                                                                                                                                |
| **BasicDay**      | Shows the events in a single day view.                                                                                                                                                                                            |
| **BasicWeek**     | Shows the events in a simple weekly view.                                                                                                                                                                                         |
| **ListDay**       | Displays all the events in a day in a flat list. If there are no events during a specific interval of time, the [NoEventsMessage](https://docs.wisej.com/api?q=wisej.web.ext.fullcalendar.noeventsmessage) string is displayed.   |
| **ListMonth**     | Displays all the events in a month in a flat list. If there are no events during a specific interval of time, the [NoEventsMessage](https://docs.wisej.com/api?q=wisej.web.ext.fullcalendar.noeventsmessage) string is displayed. |
| **ListWeek**      | Displays all the events in a week in a flat list. If there are no events during a specific interval of time, the [NoEventsMessage](https://docs.wisej.com/api?q=wisej.web.ext.fullcalendar.noeventsmessage) string is displayed.  |
| **ListYear**      | Displays all the events in a year in a flat list. If there are no events during a specific interval of time, the [NoEventsMessage](https://docs.wisej.com/api?q=wisej.web.ext.fullcalendar.noeventsmessage) string is displayed.  |
| **Month**         | Shows the events in a monthly calendar view.                                                                                                                                                                                      |
| **TimelineDay**   | Shows a customizable horizontal time-axis and resources as rows. This is part of the scheduler commercial plug-in.                                                                                                                |
| **TimelineMonth** | Shows a customizable horizontal time-axis and resources as rows. This is part of the scheduler commercial plug-in.                                                                                                                |
| **TimelineWeek**  | Shows a customizable horizontal time-axis and resources as rows. This is part of the scheduler commercial plug-in.                                                                                                                |
| **TimelineYear**  | Shows a customizable horizontal time-axis and resources as rows. This is part of the scheduler commercial plug-in.                                                                                                                |

## Used By

| Name                                                                                                         | Description                                                    |
| ------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------- |
| [FullCalendar.View](/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.fullcalendar.md#view) | Determines which view the calendar uses to display the events. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/extensions/extensions/fullcalendar/api/wisej.web.ext.fullcalendar.viewtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
